import React from 'react';
import { KEY_ALIGN, setAlign } from '@udecode/plate-alignment';
import { usePlateEditorState, isCollapsed, someNode, getPreventDefaultHandler } from '@udecode/plate-core';
import { ToolbarButton } from '@udecode/plate-ui-toolbar';

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

const AlignToolbarButton = ({
  value,
  pluginKey = KEY_ALIGN,
  ...props
}) => {
  const editor = usePlateEditorState();
  return /*#__PURE__*/React.createElement(ToolbarButton, _extends({
    active: isCollapsed(editor === null || editor === void 0 ? void 0 : editor.selection) && someNode(editor, {
      match: {
        [pluginKey]: value
      }
    }),
    onMouseDown: editor ? getPreventDefaultHandler(setAlign, editor, {
      value,
      key: pluginKey
    }) : undefined
  }, props));
};

export { AlignToolbarButton };
//# sourceMappingURL=index.es.js.map
